package io.gitlab.jfronny.inceptum.gtk;

import ch.bailu.gtk.GTK;
import ch.bailu.gtk.gio.ApplicationFlags;
import ch.bailu.gtk.gtk.*;
import ch.bailu.gtk.type.Str;
import ch.bailu.gtk.type.Strs;
import io.gitlab.jfronny.inceptum.common.R;

public class TestStart {
    public static void main(String[] args) {
        var app = new Application(GtkMain.ID, ApplicationFlags.FLAGS_NONE);
        app.onActivate(() -> {
            var button = Button.newWithLabelButton(new Str("Test"));
            button.onClicked(TestStart::test);

            var window = new ApplicationWindow(app);
            window.setDefaultSize(200, 50);
            window.setTitle(new Str("Inceptum"));
            window.setChild(button);
            window.show();
            GtkEnvBackend.INSTANCE.dialogParent = window;
            window.onCloseRequest(() -> {
                GtkEnvBackend.INSTANCE.dialogParent = null;
                return GTK.FALSE;
            });
        });
        System.exit(app.run(args.length, new Strs(args)));
    }

    private static void test() {
        GtkEnvBackend backend = GtkEnvBackend.INSTANCE;

        backend.getInput("Ae", "IoU\naee", "Def", s -> {}, R::nop);
//        backend.showInfo("Some message", "Title");
//        backend.showError("Yes!", "AAee");
//        backend.showError("Nes!", new ArrayIndexOutOfBoundsException("Top 500 cheese"));
//        backend.showOkCancel("Some Message\nYes!", "TitL", () -> backend.showInfo("Pressed OK", "OK"), () -> backend.showError("Pressed CANCEL", "CANCEL"));
//        backend.getInput("This is a prompt", """
//            These are some extremely interesting and detailed (hence the name) details!
//            This is a second line, since these details
//            are just THAT important!""", "Default", value -> backend.showInfo("Received " + value, "Input"), () -> backend.showInfo("Got no input :/", "Input"));
    }
}
