package io.gitlab.jfronny.inceptum.gtk.menu;

import ch.bailu.gtk.GTK;
import ch.bailu.gtk.gio.Action;
import ch.bailu.gtk.gio.SimpleAction;

public abstract class MenuItem {
    protected final SimpleAction sAction;
    protected final Action action;

    public MenuItem(SimpleAction action) {
        this.sAction = action;
        this.action = new Action(action.cast());
    }

    public boolean getEnabled() {
        return GTK.is(action.getEnabled());
    }

    public void setEnabled(boolean enabled) {
        sAction.setEnabled(GTK.is(enabled));
    }
}
