package io.gitlab.jfronny.inceptum.gtk.util;

import ch.bailu.gtk.type.Str;

import java.util.ResourceBundle;

public class I18n {
    private static final ResourceBundle bundle = ResourceBundle.getBundle("inceptum");

    public static String get(String key) {
        return bundle.getString(key);
    }

    public static String get(String key, Object... args) {
        return String.format(bundle.getString(key), args);
    }

    public static Str str(String key) {
        return new Str(get(key));
    }

    public static Str str(String key, Object... args) {
        return new Str(get(key, args));
    }
}
