package io.gitlab.jfronny.inceptum.launcher.model.curseforge;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;

import java.util.Set;

@GSerializable
public class CurseforgeModpackManifest {
    public Minecraft minecraft;
    public String manifestType;
    public Integer manifestVersion;
    public String name;
    public String version;
    public String author;
    public Set<File> files;
    public String overrides;

    @GSerializable
    public static class Minecraft {
        public String version;
        public Set<ModLoader> modLoaders;

        @GSerializable
        public static class ModLoader {
            public String id;
            public Boolean primary;
        }
    }

    @GSerializable
    public static class File {
        public Integer projectID;
        public Integer fileID;
        public Boolean required;
    }
}
