package io.gitlab.jfronny.inceptum.launcher.model.curseforge.response;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.launcher.model.curseforge.CurseforgeFile;

import java.util.List;

@GSerializable
public class FingerprintMatchesResponse {
    public Result data;

    @GSerializable
    public static class Result {
        public Boolean isCacheBuilt;
        public List<Match> exactMatches;
        public List<Integer> exactFingerprints;
        public List<Match> partialMatches;
        public List<Integer> installedFingerprints;
        public List<Integer> unmatchedFingerprints;

        @GSerializable
        public static class Match {
            public Integer id;
            public CurseforgeFile file;
            public List<CurseforgeFile> latestFiles;
        }
    }
}
