package io.gitlab.jfronny.inceptum.launcher.model.microsoft;

import io.gitlab.jfronny.gson.annotations.SerializedName;
import io.gitlab.jfronny.gson.compile.annotations.GSerializable;

import java.util.Date;
import java.util.List;

//TODO test SerializedName
@GSerializable
public record XboxLiveAuthResponse(@SerializedName("IssueInstant") Date issueInstant,
                                   @SerializedName("NotAfter") Date notAfter,
                                   @SerializedName("Token") String token,
                                   @SerializedName("DisplayClaims") DisplayClaims displayClaims) {
    @GSerializable
    public record DisplayClaims(List<XUIClaim> xui) {
        @GSerializable
        public record XUIClaim(String uhs) {
        }
    }
}
