package io.gitlab.jfronny.inceptum.launcher.model.modrinth;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;

import java.util.Date;
import java.util.List;

@GSerializable
public class ModrinthSearchResult {
    public List<ModResult> hits;
    public Integer offset;
    public Integer limit;
    public Integer total_hits;

    @GSerializable
    public static class ModResult {
        public String project_id;
        public ModrinthProjectType project_type;
        public String slug;
        public String author;
        public String title;
        public String description;
        public List<String> categories;
        public List<String> versions;
        public Long downloads;
        public Long follows;
        public String icon_url;
        public Date date_created;
        public Date date_modified;
        public String latest_version;
        public String license;
        public String client_side;
        public String server_side;
        public List<String> gallery;
    }
}
