package io.gitlab.jfronny.inceptum.launcher.model.mojang;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;

import java.util.Map;

@GSerializable
public class JvmFileInfo {
    public Map<String, File> files;

    @GSerializable
    public static class File {
        public Downloads downloads;
        public boolean executable;
        public String type;

        @GSerializable
        public static class Downloads {
            public MojangFileDownload lzma;
            public MojangFileDownload raw;
        }
    }
}
