package io.gitlab.jfronny.inceptum.launcher.system.mds;

import io.gitlab.jfronny.inceptum.launcher.model.inceptum.InstanceMeta;

import java.nio.file.Path;
import java.util.Objects;

public class ProtoInstance {
    public final Path modsDir;
    public final ModsDirScanner mds;
    public final InstanceMeta meta;

    public ProtoInstance(Path modsDir, ModsDirScanner mds, InstanceMeta meta) {
        this.modsDir = modsDir;
        this.mds = mds;
        this.meta = meta;
    }

    @Override
    public int hashCode() {
        return Objects.hash(modsDir, mds, meta);
    }
}
