package io.gitlab.jfronny.inceptum.gtk.menu;

import ch.bailu.gtk.GTK;
import ch.bailu.gtk.gio.SimpleAction;
import ch.bailu.gtk.glib.Variant;

public class ToggleItem extends MenuItem {
    public ToggleItem(SimpleAction action) {
        super(action);
    }

    public boolean getState() {
        return GTK.is(action.getState().getBoolean());
    }

    public void setState(boolean state) {
        sAction.setState(Variant.newBooleanVariant(GTK.is(state)));
    }

    public boolean toggle() {
        boolean toggled = !getState();
        setState(toggled);
        return toggled;
    }
}
