package io.gitlab.jfronny.inceptum.launcher.model.inceptum;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.launcher.gson.ModMetaSourcesAdapter;
import io.gitlab.jfronny.inceptum.launcher.system.source.ModSource;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.*;

@GSerializable(with = ModMetaSourcesAdapter.class)
public class ModMeta$Sources implements Map<ModSource, Optional<ModSource>> {
    private Map<ModSource, Optional<ModSource>> delegate = new LinkedHashMap<>();

    @Override
    public int size() {
        return delegate.size();
    }

    @Override
    public boolean isEmpty() {
        return delegate.isEmpty();
    }

    @Override
    public boolean containsKey(Object o) {
        return delegate.containsKey(o);
    }

    @Override
    public boolean containsValue(Object o) {
        return delegate.containsValue(o);
    }

    @Override
    public Optional<ModSource> get(Object o) {
        return delegate.get(o);
    }

    @Nullable
    @Override
    public Optional<ModSource> put(ModSource modSource, Optional<ModSource> modSource2) {
        return delegate.put(modSource, modSource2);
    }

    @Override
    public Optional<ModSource> remove(Object o) {
        return delegate.remove(o);
    }

    @Override
    public void putAll(@NotNull Map<? extends ModSource, ? extends Optional<ModSource>> map) {
        delegate.putAll(map);
    }

    @Override
    public void clear() {
        delegate.clear();
    }

    @NotNull
    @Override
    public Set<ModSource> keySet() {
        return delegate.keySet();
    }

    @NotNull
    @Override
    public Collection<Optional<ModSource>> values() {
        return delegate.values();
    }

    @NotNull
    @Override
    public Set<Entry<ModSource, Optional<ModSource>>> entrySet() {
        return delegate.entrySet();
    }
}
