package io.gitlab.jfronny.inceptum.launcher.model.microsoft;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;

import java.util.List;

@GSerializable
public class Profile {
    public String id;
    public String name;
    public List<Skin> skins;
    public List<Cape> capes;

    @GSerializable
    public static class Skin {
        public String id;
        public String state;
        public String url;
        public String variant;
        public String alias;
    }

    @GSerializable
    public static class Cape {
        public String id;
    }
}
