package io.gitlab.jfronny.inceptum.launcher.model.multimc;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;

import java.util.List;

@GSerializable
public class MMCPackMeta {
    public List<Component> components;
    public Integer formatVersion;

    @GSerializable
    public static class Component {
        public Boolean dependencyOnly;
        public Boolean important;
        public String uid;
        public String version;
    }
}
